X2Go Bug report logs - #708
x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: "Zuck, Daniel" <Daniel.Zuck@six-group.com>

Date: Fri, 19 Dec 2014 10:20:01 UTC

Severity: normal

Found in version 4.0.1.15

Done: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#708; Package x2goserver. (Fri, 19 Dec 2014 10:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Zuck, Daniel" <Daniel.Zuck@six-group.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Dec 2014 10:20:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Zuck, Daniel" <Daniel.Zuck@six-group.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Cc: Guggenbühl, Oliver <Oliver.Guggenbuehl@six-group.com>, "Talvacchia, Claudio" <Claudio.Talvacchia@six-group.com>
Subject: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
Date: Fri, 19 Dec 2014 10:14:13 +0000
Package: x2goserver
Version: 4.0.1.15

Hello

The environment ist:
x2goagent: 3.5.0.27
x2goserver: 4.0.1.15
x2goserver-compat: 4.0.1.15
x2goserver-extensions: 4.0.1.15
x2goserver-fmbindings: 4.0.1.15
x2goserver-printing: 4.0.1.15
x2goserver-pyhoca: 4.0.1.15
x2goserver-xsession: 4.0.1.15
running on SLES11SP3. We have several servers running X2go, where at two systems a session resume raises an error since the same day:

DBD::SQLite::st execute failed: unable to open database file at /usr/lib/x2go/x2gosqlitewrapper.pl line 320.
syslog: invalid level/facility: error at /usr/lib/x2go/x2gosqlitewrapper.pl line 323

The message is shown by the X2Go-Client on a reconnect, right before the "session-status-info-window" becomes visible. Now at the GUI "Suspend Session" (in German: Anhalten) is selected, after this a reconnect to the session to resume. On clicking "Suspend Session", the error message is shown again. Then the session is selected and "klicked", which results in a "normal" resume of the session, and the remote GUI becomes visible.

The Syslog however has entries which read like the session is suspended/resumed correctly without any issues:

Dec 19 10:15:35 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended successfully
Dec 19 10:16:30 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended successfully
Dec 19 10:16:39 mxxxxxxxxx02 /usr/bin/x2goresume-session: client 10.43.142.67 has successfully resumed session with ID XYZAB-76-1417681012_stDGNOME_dp32
Dec 19 10:16:49 mxxxxxxxxx02 /usr/bin/x2gosetkeyboard: Setting X keyboard according to /home/XYZAB/.x2go/C-XYZAB-76-1417681012_stDGNOME_dp32/keyboard

Investigating further: When calling "x2golistsessions_root", the script lists a number of states, including the error-message above. So it appears to me, there is a consistency issue with the SQLite-DB. I strongly assume, it can be worked-around by recreating the DB, but I would like to sort out the reason, why it came to this status.

My questions:
Is this issue known? - I did not find anything like this at the bugtracker.
What information is needed for further investigations? - The system is still in this state, so we can pull further infos.

Regards

Daniel Zuck

SIX
DGI-OIE
Hardturmstrasse 201
Postfach
8021 Zürich

T +41 58 399 23 56 

http://www.six-group.com
mailto:Daniel.Zuck@six-group.com

The content of this e-mail is intended only for the confidential use of the person addressed. 
If you are not the intended recipient, please notify the sender and delete this email immediately.
Thank you.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#708; Package x2goserver. (Fri, 19 Dec 2014 13:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Dec 2014 13:10:02 GMT) Full text and rfc822 format available.

Message #10 received at 708@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Zuck, Daniel" <Daniel.Zuck@six-group.com>, 708@bugs.x2go.org
Cc: "Talvacchia, Claudio" <Claudio.Talvacchia@six-group.com>
Subject: Re: [X2Go-Dev] Bug#708: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
Date: Fri, 19 Dec 2014 13:07:58 +0000
[Message part 1 (text/plain, inline)]
HI Daniel,

On  Fr 19 Dez 2014 11:14:13 CET, Zuck, Daniel wrote:

> Package: x2goserver
> Version: 4.0.1.15
>
> Hello
>
> The environment ist:
> x2goagent: 3.5.0.27
> x2goserver: 4.0.1.15
> x2goserver-compat: 4.0.1.15
> x2goserver-extensions: 4.0.1.15
> x2goserver-fmbindings: 4.0.1.15
> x2goserver-printing: 4.0.1.15
> x2goserver-pyhoca: 4.0.1.15
> x2goserver-xsession: 4.0.1.15
> running on SLES11SP3. We have several servers running X2go, where at  
> two systems a session resume raises an error since the same day:
>
> DBD::SQLite::st execute failed: unable to open database file at  
> /usr/lib/x2go/x2gosqlitewrapper.pl line 320.
> syslog: invalid level/facility: error at  
> /usr/lib/x2go/x2gosqlitewrapper.pl line 323
>
> The message is shown by the X2Go-Client on a reconnect, right before  
> the "session-status-info-window" becomes visible. Now at the GUI  
> "Suspend Session" (in German: Anhalten) is selected, after this a  
> reconnect to the session to resume. On clicking "Suspend Session",  
> the error message is shown again. Then the session is selected and  
> "klicked", which results in a "normal" resume of the session, and  
> the remote GUI becomes visible.
>
> The Syslog however has entries which read like the session is  
> suspended/resumed correctly without any issues:
>
> Dec 19 10:15:35 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session  
> with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended  
> successfully
> Dec 19 10:16:30 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session  
> with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended  
> successfully
> Dec 19 10:16:39 mxxxxxxxxx02 /usr/bin/x2goresume-session: client  
> 10.43.142.67 has successfully resumed session with ID  
> XYZAB-76-1417681012_stDGNOME_dp32
> Dec 19 10:16:49 mxxxxxxxxx02 /usr/bin/x2gosetkeyboard: Setting X  
> keyboard according to  
> /home/XYZAB/.x2go/C-XYZAB-76-1417681012_stDGNOME_dp32/keyboard
>
> Investigating further: When calling "x2golistsessions_root", the  
> script lists a number of states, including the error-message above.  
> So it appears to me, there is a consistency issue with the  
> SQLite-DB. I strongly assume, it can be worked-around by recreating  
> the DB, but I would like to sort out the reason, why it came to this  
> status.
>
> My questions:
> Is this issue known? - I did not find anything like this at the bugtracker.
> What information is needed for further investigations? - The system  
> is still in this state, so we can pull further infos.

This is indeed a weird issue.

First thing: please note that shortly the X2Go upstream team will  
provide a new source for SLES packages. The x2goserver version you are  
using is a little outdated already.

What makes me worry a bit is this message:

"""
syslog: invalid level/facility: error at  
/usr/lib/x2go/x2gosqlitewrapper.pl line 323
"""

I am not sure what perl-Syslog package version is shipped with SLES  
11.3, but it seems it cannot handle the "error" logging facility. This  
is weird in the first place and maybe you can investigate your system  
a bit more on this. (What version of perl-Syslog is installed, etc.)

Next question is: what file permissions are set on

  /var/lib/x2go/x2go_sessions
  /usr/<lib>/x2go/x2gosqlitewrapper

Next question:

  getent passwd x2gouser
  getent group x2gouser

Once you have provided those infos, you can consider running:

  sudo rm /var/lib/x2go/x2go_sessions
  sudo x2godbadmin --createdb

... and test again...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#708; Package x2goserver. (Fri, 19 Dec 2014 17:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Zuck, Daniel" <Daniel.Zuck@six-group.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Dec 2014 17:15:01 GMT) Full text and rfc822 format available.

Message #15 received at 708@bugs.x2go.org (full text, mbox):

From: "Zuck, Daniel" <Daniel.Zuck@six-group.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, "708@bugs.x2go.org" <708@bugs.x2go.org>
Cc: "Talvacchia, Claudio" <Claudio.Talvacchia@six-group.com>
Subject: RE: [X2Go-Dev] Bug#708: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
Date: Fri, 19 Dec 2014 17:06:18 +0000
Hello Mike

Thanks for your quick feedback.

In a nutshell: I was as well assuming, that a hard fix would be at the end "x2godbadmin --createdb" - however, it would be good to trace the reason why it came to there. Related the Perl modules on SLES, I am not 100% sure, as I am not a "Perl guy", and resolved dependencies if they have been specifically raised via " "make_path" is not exported by the File::Path module" (see http://wiki.x2go.org/doku.php/doc:installation:x2goserver), which was causing me to lift the version of this module (the SLES provided version was too old, so this issue was sorted after the upgrade; same for the RHEL install as described on the Wiki).

In more details:

>First thing: please note that shortly the X2Go upstream team will provide a new source for SLES packages. The x2goserver version you are using is a >little outdated already.

The version is "backported" from OpenSuSE RPM spec's, satisfying the dependencies on SLES. Notably dependencies included to upgrade some of the SLES-provided Perl modules.

>I am not sure what perl-Syslog package version is shipped with SLES 11.3, but it seems it cannot handle the "error" logging facility. This is weird in >the first place and maybe you can investigate your system a bit more on this. (What version of perl-Syslog is installed, etc.)

The version of Perl is 5.10.0-64.67.52, and there is no specific syslog installed besides the OS-Perl-package (there is a separate perl-Unix-Syslog from SuSE, where I do not know its specific use); it must be a subsequent fault of something else, because syslog and its facilities should be well known since a couple of "decades"...

As we have likely a corrupted DB-file, I would try to lift the version of Perl-DBI (maybe the SLES-version is a bit older and has some errors).

>Next question is: what file permissions are set on
>   /var/lib/x2go/x2go_sessions
>   /usr/<lib>/x2go/x2gosqlitewrapper

ls -la /var/lib/x2go/x2go_sessions /usr/lib/x2go/x2gosqlitewrapper
-rwxr-sr-x 1 root x2gouser 11978 Nov  4 17:53 /usr/lib/x2go/x2gosqlitewrapper
-rw-rw---- 1 root x2gouser 25600 Dec 19 10:35 /var/lib/x2go/x2go_sessions

>Next question:
>   getent passwd x2gouser
>   getent group x2gouser

getent passwd x2gouser
x2gouser:x:404:405:x2go server/user:/var/lib/x2go:/bin/false
getent group x2gouser
x2gouser:!:405:

After removing the DB-file and recreating a new one, I can connect without any error. As expected my "old" session was stale.
Note: This is the behavior where the system was working since a couple of weeks; the error was raised on two systems at a time. What made me a bit perplex is, that it was visible on two systems, since about the same time.

Regards
Daniel

The content of this e-mail is intended only for the confidential use of the person addressed. 
If you are not the intended recipient, please notify the sender and delete this email immediately.
Thank you.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#708; Package x2goserver. (Thu, 08 Jan 2015 16:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 16:45:01 GMT) Full text and rfc822 format available.

Message #20 received at 708@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 708@bugs.x2go.org, "Zuck, Daniel" <daniel.zuck@six-group.com>
Subject: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
Date: Thu, 08 Jan 2015 17:43:32 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Daniel,

a little less than a month ago, you reported this bug.

I was wondering if we can close it or if you need further assistance?

Should you require further assistance, please note that it's kind of
hard to debug the issue without having access to the database in
question, though.

Kind Regards,
Stefan
PS: It would be really cool if you could describe how you're using
X2Go in your company.  We'd love to put a write-up of it on our
"success stories" page on the wiki, and of course we'll provide a
backlink to your company if you so desire. (See
http://wiki.x2go.org/doku.php/doc:deployment-stories:start for some
examples.)

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUrrO0AAoJEG7d9BjNvlEZoRAH/3Xvqv+a3Uxu+7ef8Ymw3YtE
dFKiTWRIOOEtj6M8Ubk6SZ5an5H4POlkzJ4N0LtqF0Z+qu3hy44Zu/j3oACJY5nH
yu/jcQFJ79guWjMoJcBr9ykkhBJ0HVT+mPRGWuy4kFCsKB6xELO3/pZFcyJXQVzM
ZjUgf6hEX9Nou4ubkXXTrwDF/zEpkn86dWCtAJsAKWzyGqX6GWcNtbiNM05ImhXn
oK1IcKtO+EE334qh2E5df400wUVPFwPUFMVrFoRIWd+dqcTbXUe8nrJfLhaOJ5kf
QDXNgqp1VXamZ9gS9HF5pVm2pO5Wlk6JEWAwVt7hb0NleSKaY99ZfdUlhOj0XOI=
=ig6y
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#708; Package x2goserver. (Thu, 08 Jan 2015 17:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Zuck, Daniel" <Daniel.Zuck@six-group.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 17:10:03 GMT) Full text and rfc822 format available.

Message #25 received at 708@bugs.x2go.org (full text, mbox):

From: "Zuck, Daniel" <Daniel.Zuck@six-group.com>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, "708@bugs.x2go.org" <708@bugs.x2go.org>
Subject: RE: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
Date: Thu, 8 Jan 2015 17:00:11 +0000
Hello Stefan

Thanks for your feedback.

I understand it is hard to debug, and there is nothing more to do at this point in time; so I am absolutely OK to close the bug.

However, if it reappears in the future, we have some sort of "knowledge base" to refer to - so the bug may be useful for this type of purpose.

Related any "success stories", I am bound to pipe this thru our "corporate communications", and it may be helpful to sort out the level of "evangelism" internally before. I am personally open to do so, and you may PING me from time to time in order to keep each other posted - in case I forget.

Regards
Dani


-----Original Message-----
From: Stefan Baur [mailto:X2Go-ML-1@baur-itcs.de] 
Sent: Donnerstag, 8. Januar 2015 17:44
To: 708@bugs.x2go.org; Zuck, Daniel
Subject: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.

Hi Daniel,

a little less than a month ago, you reported this bug.

I was wondering if we can close it or if you need further assistance?

Should you require further assistance, please note that it's kind of hard to debug the issue without having access to the database in question, though.

Kind Regards,
Stefan
PS: It would be really cool if you could describe how you're using X2Go in your company.  We'd love to put a write-up of it on our "success stories" page on the wiki, and of course we'll provide a backlink to your company if you so desire. (See http://wiki.x2go.org/doku.php/doc:deployment-stories:start for some
examples.)

--
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

The content of this e-mail is intended only for the confidential use of the person addressed. 
If you are not the intended recipient, please notify the sender and delete this email immediately.
Thank you.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#708; Package x2goserver. (Thu, 08 Jan 2015 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 17:15:02 GMT) Full text and rfc822 format available.

Message #30 received at 708@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: "Zuck, Daniel" <Daniel.Zuck@six-group.com>, "708@bugs.x2go.org" <708@bugs.x2go.org>
Subject: Re: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
Date: Thu, 08 Jan 2015 18:07:26 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Control: close -1
thanks

Am 08.01.2015 um 18:00 schrieb Zuck, Daniel:

> I understand it is hard to debug, and there is nothing more to do
> at this point in time; so I am absolutely OK to close the bug.

Thank you. :)

> However, if it reappears in the future, we have some sort of
> "knowledge base" to refer to - so the bug may be useful for this
> type of purpose.

Totally okay, that's why our bug tracker is public.

> Related any "success stories", I am bound to pipe this thru our
> "corporate communications", and it may be helpful to sort out the
> level of "evangelism" internally before. I am personally open to do
> so, and you may PING me from time to time in order to keep each
> other posted - in case I forget.

If you want to, you can pass my contact details (see footer) on to
your corporate communications department, or send me their contact
details off-list.  I'll make a note in my calendar for January 29,
2015, and ping you again then, if I don't hear from you or your
corporate communications department sooner. Okay? :-)

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (MingW32)

iQEcBAEBAgAGBQJUrrlOAAoJEG7d9BjNvlEZKc8H/jkthwmf/wdXdv8Qo+G26LdI
UmaRvNyUBJX0HXRW4vINuFIuWHSkXKsWBKrrL63FzXtJID7cVP08OCZ+QKLFc9q5
u3sF5eKRRjbXPnlglDffwsvaOFHMRwnRNJ6AS9q+e17yad1KVOQnn++NbWVdcjf8
EGfXSRBh5JPwIVUESXoKMIPsDdCojs12a6R1zCrhYN81JvCtOetRs4FpC3EZPyLv
V2GEUfRGnh2w+P75QOb2aTy9l/Fl/ok9FpHnkLRsZCxSYxYFF17yABULOHmNHkLt
ntC+rNPUy8WDgE20U+OTZTJXsDNXIWSwzNWuL34v8N9i3eU3S+ip0KquOSabP/E=
=jrwy
-----END PGP SIGNATURE-----


Marked Bug as done Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to 708-submit@bugs.x2go.org. (Thu, 08 Jan 2015 17:15:02 GMT) Full text and rfc822 format available.

Notification sent to "Zuck, Daniel" <Daniel.Zuck@six-group.com>:
Bug acknowledged by developer. (Thu, 08 Jan 2015 17:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 06 Feb 2015 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:35:02 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.